org.eclipse.gef.dot.internal.ui

## Class Dot2ZestGraphCopier

- java.lang.Object
- - org.eclipse.gef.graph.GraphCopier
  - - org.eclipse.gef.dot.internal.ui.Dot2ZestGraphCopier

    public class Dot2ZestGraphCopier
    extends org.eclipse.gef.graph.GraphCopier

### Constructor Summary

Constructors
Constructor and Description
`Dot2ZestGraphCopier()`
`Dot2ZestGraphCopier(Dot2ZestAttributesConverter dot2ZestAttributesConverter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.gef.graph.Graph` `copy(org.eclipse.gef.graph.Graph graph)`
`Dot2ZestAttributesConverter` `getAttributeCopier()`

### Methods inherited from class org.eclipse.gef.graph.GraphCopier

`copyAttributes, copyEdge, copyGraph, copyNode, getInputToOutputEdgeMap, getInputToOutputNodeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Dot2ZestGraphCopier

    public Dot2ZestGraphCopier()

#### Dot2ZestGraphCopier

    public Dot2ZestGraphCopier(Dot2ZestAttributesConverter dot2ZestAttributesConverter)

### Method Detail

#### getAttributeCopier

    public Dot2ZestAttributesConverter getAttributeCopier()

Overrides:
  `getAttributeCopier` in class `org.eclipse.gef.graph.GraphCopier`

#### copy

    public org.eclipse.gef.graph.Graph copy(org.eclipse.gef.graph.Graph graph)

Overrides:
  `copy` in class `org.eclipse.gef.graph.GraphCopier`